Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 386021 - Stabilize =media-gfx/iscan-2.26.2 and =media-gfx/iscan-data-1.9.0.1
Summary: Stabilize =media-gfx/iscan-2.26.2 and =media-gfx/iscan-data-1.9.0.1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Stefan Briesenick (RETIRED)
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 384701
  Show dependency tree
 
Reported: 2011-10-07 08:46 UTC by Samuli Suominen
Modified: 2011-10-15 23:14 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
iscan-2.27.1-libpng15.patch (iscan-2.27.1-libpng15.patch,1.47 KB, text/plain)
2011-10-14 06:00 UTC, Jared B.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2011-10-07 08:46:30 UTC
required for libpng15 compability, but a fat WARNING is required:

The USE="png" is not really runtime tested, so if you have a scanner and you can test this, that'd be great. 
compile test proofs nothing and upstream is MIA or using libpng12 from deprecated distribution.
Comment 1 Agostino Sarubbo gentoo-dev 2011-10-07 14:40:41 UTC
added : media-gfx/iscan-data-1.9.0.1 because is a depend.
Comment 2 Ian Delaney (RETIRED) gentoo-dev 2011-10-13 17:33:50 UTC
amd64:

all aok
Comment 3 Elijah "Armageddon" El Lazkani (amd64 AT) 2011-10-13 18:29:40 UTC
amd64: emerge pass, no hw to test.
Comment 4 Samuli Suominen gentoo-dev 2011-10-13 18:37:54 UTC
If we can find nobody with HW to test this by 17 Oct, I suggest to proceed with compile testing only. 
In worst case scenario, users will have to use TIFF instead of PNG until the patch can be adjusted, if there is anything to adjust...
Comment 5 Ian Delaney (RETIRED) gentoo-dev 2011-10-13 18:40:15 UTC
I have an epson printer, I'll hook it up tomorrow.
Comment 6 Jared B. 2011-10-14 05:28:26 UTC
Samuli, I use this app and would be happy to test.  Is there any specific use case you're looking for?

I installed libpng-1.5.5, uninstalled the previous version(s), and then reinstalled iscan-2.26.2.  It's linked against /usr/lib64/libpng14.so.14, which seems to have been installed by 1.5.5.  If I remove libpng14.so, iscan then refuses to build.  That may be expected, don't know.  Just pointing it out.

Anyway, with it linked against libpng14.so.14, I fired up iscan, scanned directly to a PNG file, and it all seemed to work fine.  So, I'd say that's a success, provided the library stuff above is what you expect.  If there's anything else you're looking for, let me know.

But... this is probably unrelated as I noticed this problem before discovering this bug (it was why I was searching for iscan bugs, actually), there's a problem with the UI.  After doing a preview, you're allowed to select the region of the preview image that you want to fully scan.  After selecting the appropriate region and releasing the mouse button, the selection box literally shifts about a centimeter right and down.  This happens every time, making it impossible to any kind of precise region selection.  Weirder still, this was working perfectly fine for me, same version and everything best I can recall, only a couple weeks ago.  I don't know what could've cause this behavior.

That selection behavior probably should have it's own bug (just say the word and I'll file it), but I thought I'd bring it up here since you're talking about stabilizing this version.  As it stands now, at least on my system, it's pretty unusable.  I'm going to do some more testing over the weekend to try to identify the problem, but any suggestions (or even confirmation from other users) would most definitely be welcome.
Comment 7 Jared B. 2011-10-14 05:59:20 UTC
FYI, there's a 2.27.1 available now, with this listed in the NEWS file:
 * fixes scan area selection issues in the GUI

So, I tried upgrading, but sadly that didn't fix my problem.  I've run out of time for messing with this tonight, but I'll check it out again tomorrow.  In the meantime, just wanted to mention that your libpng 1.5 seems to work fine here as well.  It needed a little tweaking to get applied, though, so I'll attach the updated version just in case you want to check out 2.27.1.
Comment 8 Jared B. 2011-10-14 06:00:12 UTC
Created attachment 289783 [details]
iscan-2.27.1-libpng15.patch
Comment 9 Ian Delaney (RETIRED) gentoo-dev 2011-10-14 09:06:03 UTC
me and my big mouth.  I plugged it in and the power doesn't come on.  It's in the computer shop.
Comment 10 Samuli Suominen gentoo-dev 2011-10-14 11:18:22 UTC
(In reply to comment #6)
> Samuli, I use this app and would be happy to test.  Is there any specific use
> case you're looking for?
> 
> I installed libpng-1.5.5, uninstalled the previous version(s), and then
> reinstalled iscan-2.26.2.  It's linked against /usr/lib64/libpng14.so.14, 

Then you didn't test it with libpng15.   Should be linked at libpng15.so.15, so your system is in incomplete state.   And this bug is not really a helpdesk, so please refer to forums if you need assitance.
Comment 11 Jared B. 2011-10-14 14:22:22 UTC
Well then look man, as I asked right up front, how do you want this tested?  Upgrading to the ~media-libs/libpng-1.5.5 and uninstalling 1.2.x left the 1.4 file behind, and there's even logic in the 1.5.5 build to do exactly that, so I don't see how that's 'incomplete'.  It appears to be a normal upgrade path.

But, I agree that linking against 1.4 doesn't seem right if you're specifically looking to test 1.5, which is why I pointed that out.  And if that's the case, then I'd say your patch doesn't work because iscan fails to build when only 1.5.5 is installed.

As for the other issue, I'll be happy to take it elsewhere.  As mentioned, I just wanted to bring it up because stabilizing a possibly broken version seems like a bad idea and wanted to give you a heads up.
Comment 12 Markus Meier gentoo-dev 2011-10-15 23:13:01 UTC
x86 stable
Comment 13 Samuli Suominen gentoo-dev 2011-10-15 23:14:35 UTC
amd64 stable